# JP2Forge 0.9.1 Release Notes

Release Date: April 25, 2025

## Overview

JP2Forge 0.9.1 is a feature update that adds support for multi-page TIFF processing and improves directory structure naming consistency.

## Changes in this Release

### Added
- Full support for multi-page TIFF processing with individual page extraction
- Options for handling existing files during multi-page TIFF conversion (skip_existing, overwrite)
- Automatic metadata tagging with page numbers for multi-page documents
- Memory-efficient chunking optimized for large multi-page TIFFs
- New example script demonstrating various multi-page TIFF processing options

### Changed
- Renamed directory paths from "images/" to "input_dir/" and "output_dir/" to "output_dir/" for better alignment with documentation examples
- Updated cleanup script to handle both old and new directory structures for backward compatibility
- Enhanced documentation with multi-page TIFF processing guide

## Installation

```bash
pip install jp2forge==0.9.1
```

## GitHub Release

This release is available on GitHub at: https://github.com/xy-liao/jp2forge/releases/tag/v0.9.1

## Feedback

We welcome feedback, bug reports, and feature requests! Please submit them through our [issue tracker](https://github.com/xy-liao/jp2forge/issues).
